﻿using System.Runtime.Serialization;

namespace Plattform.Models
{
    [DataContract]
    public class Airport
    {
        [DataMember]
        public string ShortName { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public virtual City City { get; set; }

        public Airport() { }
        public Airport(AirlineService.Airport airport)
        {
            City city = new City
            {
                Name = airport.City.Name,
                ZipCode = airport.City.ZipCode,
            };
            this.Name = airport.Name;
            this.City = city;
            this.ShortName = airport.ShortName;
        }
    }
}
